<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides a Cart Item
 *
 * @package    Cart
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Cart_Item {
	// Quantity
	private $q = 0;
	// Item
	private $i = 0;
	// Total
	private $t = 0;

	public function __construct($q,$i,$t) {
		$this->q = $q;
		$this->i = $i;
		$this->t = $t;
	}

	public function __get($key) {
		switch($key) {
			case 'i':
			case 'q': return $this->{$key};
			case 't': return Currency::display($this->{$key});

			default: throw new Kohana_Exception('Unknown Key :key',array(':key',$key));
		}
	}
}
?>
